# WordPress MVC

![WordPress MVC Github Banner](https://www.wordpress-mvc.com/wp-content/uploads/2020/01/wpmvc-github-banner.png)

[WordPress MVC](https://www.wordpress-mvc.com/) (WPMVC) framework.

The ultimate WordPress framework for custom Themes and Plugins development.

## The Framework

- [Documentation Version 1](https://www.wordpress-mvc.com/v1/)

* [Setup and install](https://www.wordpress-mvc.com/v1/get-started/)
* [WordPress hooks](https://www.wordpress-mvc.com/v1/main-class/)
  * [Actions](https://www.wordpress-mvc.com/v1/actions/)
  * [Filters](https://www.wordpress-mvc.com/v1/filters/)
  * [Widgets](https://www.wordpress-mvc.com/v1/widgets/)
  * [Shortcodes](https://www.wordpress-mvc.com/v1/shortcodes/)
* [MVC](https://www.wordpress-mvc.com/v1/mvc/)
  * [Models](https://www.wordpress-mvc.com/v1/models/)
  * [Views](https://www.wordpress-mvc.com/v1/views/)
  * [Controllers](https://www.wordpress-mvc.com/v1/controllers/)
* [Assets](https://www.wordpress-mvc.com/v1/assets/)
* [Deployment](https://www.wordpress-mvc.com/v1/deployment/)
* [Add-ons](https://www.wordpress-mvc.com/v1/add-ons/)

## Tutorials

- [Tutorial 1: Setup](https://www.wordpress-mvc.com/v1/tutorial-1-setup/)
- [Tutorial 2: Hello world](https://www.wordpress-mvc.com/v1/tutorial-2-hello-world/)
- [Tutorial 3: Hooks](https://www.wordpress-mvc.com/v1/tutorial-3-hooks/)

## Install

Download composer dependencies:

```bash
composer install --no-plugins
```

Download npm/node dependencies:

```bash
npm install
```

Run setup wizard:

```bash
php ayuco setup
```

## Update The Framework

Update composer dependencies:

```bash
composer update --no-plugins
```

Update npm/node dependencies:

```bash
npm update
```

## License

MIT License - (c) 2018 - 2020 [10 Quality](https://www.10quality.com/).